from src.dataset.pair_preferences import PairPreferenceRecord
from src.dataset.sampling.models import SamplingDatasetRecord
from src.settings.generators.outputs.base import BaseInferenceOutput


class RMPairInferenceOutput(BaseInferenceOutput, PairPreferenceRecord):
    reward_w: float
    reward_l: float


class RMSamplingInferenceOutput(SamplingDatasetRecord):
    rewards: dict[str, float]
